public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: bgrech <bgrech@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: RHIVOS adaptations
Date: Fri, 11 Sep 2026 13:21:43 GMT [thread overview]
Message-ID: <178913290311.1.9397691806009079590.tests-selinux-794e0665990f@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 794e0665990ff1cfb7226c251fa6718a275f27be
Author : bgrech <bgrech@redhat.com>
Date : 2024-06-13T12:21:44+00:00
Stats : +5/-1 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/794e0665990ff1cfb7226c251fa6718a275f27be?branch=pr775-checkpolicy-revdeps
Log:
RHIVOS adaptations
Modify sysd rfkill tests to run kernel-modules install specifically for kernel-automotive in the appropriate system under test
---
diff --git a/selinux-policy/systemd-rfkill-and-similar/runtest.sh b/selinux-policy/systemd-rfkill-and-similar/runtest.sh
index 4782814..793993a 100755
--- a/selinux-policy/systemd-rfkill-and-similar/runtest.sh
+++ b/selinux-policy/systemd-rfkill-and-similar/runtest.sh
@@ -47,7 +47,11 @@ rlJournalStart
rlAssertRpm ${SERVICE_PACKAGE}
rlRun "rpm -qa kernel\*"
rlRun "uname -r"
- rlRun "yum -y install kernel-modules-`uname -r`"
+ if ! rlCheckRpm kernel-automotive ; then
+ rlRun "yum -y install kernel-modules-`uname -r`"
+ else
+ rlRun "dnf -y install kernel-automotive-modules-`uname -r`"
+ fi
rlServiceStop ${SERVICE_NAME}
rlFileBackup /etc/shadow
reply other threads:[~2026-09-11 13:21 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913290311.1.9397691806009079590.tests-selinux-794e0665990f@fedoraproject.org \
--to=bgrech@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox